module type_global
   !
   ! Purpose:
   !  This module declares the Fortran version of the NODE data type
   !    used in the TYPE sample for MIXLANG programming.
   !  The NODE is an employee record that contains miscellaneous fields
   !   about the employee.  The Fortran program will compute the weeks
   !   pay
   !  As a general rule, make sure the data is packed.
   !
   ! The Visual Basic declaration is:
   !Type EmployeeInfo
   ! strName As String * 25
   ! lngEmployeeNumber As Long
   ! intHours(3) As Integer
   ! dblHourlyRate(3) As Double
   ! dblCategoryTotals(3) as Double
   ! bolCompleted As Boolean
   ! dblTotal As Double
   !End Type
   !--------------------------------------------------------------------
   implicit none

   
   !Type declarations
!dec$ pack : 4
   type EmployeeInfo
   ! Strings are passed as Unicode, and so must be defined as arrays
   !  of Integer*2
      sequence
!      character(25)  :: strName
      integer*2      :: strName(25)
      integer*4      :: lngEmployeeNumber
	  integer*2		 :: intHours(1:3)
      real*8         :: dblHourlyRate(1:3)
	  real*8		 :: dblCatTotals(1:3)
      logical*2      :: bolCompleted
	  real*8		 :: dblTotal
   end type EmployeeInfo

 end module type_global
